Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 698720

Summary: =net-libs/nodejs-10.17.0 stable request
Product: Gentoo Linux Reporter: Tomáš Mózes <hydrapolic>
Component: StabilizationAssignee: Jeroen Roovers <jer>
Status: RESOLVED OBSOLETE    
Severity: normal CC: leho
Priority: Normal Keywords: STABLEREQ
Version: unspecifiedFlags: nattka: sanity-check-
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=679132
Whiteboard:
Package list:
=net-libs/nodejs-10.17.0 =net-dns/c-ares-1.15.0 =net-libs/http-parser-2.9.2
Runtime testing required: ---

Description Tomáš Mózes 2019-10-28 07:50:34 UTC
Given that 8.x is eol soon, please consider stabilizing 10.x. Thanks
Comment 1 Jeroen Roovers gentoo-dev 2019-10-28 07:54:25 UTC
Why not 12.x.x as that now has LTS?
Comment 2 Tomáš Mózes 2019-10-28 07:58:31 UTC
(In reply to Jeroen Roovers from comment #1)
> Why not 12.x.x as that now has LTS?

10.x is the smallest step forward we should make and 12.x got LTS just recently.
Comment 3 Thomas Deutschmann gentoo-dev Security 2019-10-31 23:20:29 UTC
Should be obsolete, see bug 679132.
Comment 4 Jeroen Roovers gentoo-dev 2019-11-01 04:51:06 UTC
The 10.x.x branch is not obsolete. See [1]: it's in the "Active LTS" phase just like 12.x.x. Even 8.x.x is actively maintained so we should have three stabilisation targets.

[1] https://nodejs.org/en/about/releases/
Comment 5 Tomáš Mózes 2019-11-01 06:16:06 UTC
If we have the capacity, let's do all three, but since 8.x is EOL next month, maybe we should let it go.
Comment 6 NATTkA bot gentoo-dev 2020-04-06 15:06:01 UTC
Unable to check for sanity:

> no match for package: =net-libs/nodejs-10.17.0
Comment 7 Pacho Ramos gentoo-dev 2020-07-30 18:22:29 UTC
newer versions are already stable